import { Packager } from './packager';
/**
 * Yarn packager.
 *
 * Yarn specific packagerOptions (default):
 *   flat (false) - Use --flat with install
 *   ignoreScripts (false) - Do not execute scripts during install
 */
export declare class Yarn implements Packager {
    get lockfileName(): string;
    get copyPackageSectionNames(): string[];
    get mustCopyModules(): boolean;
    isManagerInstalled(cwd: string): boolean;
    getProdDependencies(cwd: string, depth?: number): {
        problems: never[];
        dependencies: any;
    };
    rebaseLockfile(pathToPackageRoot: any, lockfile: any): any;
    install(cwd: string, packagerOptions?: any): void;
    prune(cwd: string, packagerOptions?: any): void;
    runScripts(cwd: any, scriptNames: string[]): void;
}
